# ebv022.r
# input:    e013.dat
# does:    Read eff data,
#          Plot eff(lor) for ORTH and ALR
#          True and working models for lambda
#*******************************************************************;
junk = scan('/stu/andraca/e013.dat')
junk = matrix(junk, byrow=T, ncol=6)
dist_t       =  junk[,1]        #1=BB 2=MN 3=MAD
dist_w       =  junk[,2]        #1=BB 2=MN 3=MAD
pi           =  junk[,3]        # \pi
rho          =  junk[,4]        # \rho
ae_alr_lor   =  junk[,5]        #ae of ALR for logOR
ae_ort_lor   =  junk[,6]        #ae of ORTH for logOR

rm(junk)


op = par(mfrow=c(3,3))
lwd = 2 # line width/thickness in plots
xlim= c(0, 1.0)
ylim= c(0.5, 1)
p = 0.2

for (d_t in 1:3)   {
for (d_w in 1:3)   {
  s = (dist_t==d_t & dist_w==d_w & pi==p)
  plot (rho[s], ae_ort_lor[s],
    lty=1,
    lwd=lwd,
    type='l',
    xlim=xlim,
    ylim=ylim,
    xlab=expression(rho),
    ylab="Efficiency"
  )
  lines(rho[s], ae_alr_lor[s],  lty=2, lwd=lwd )
# title(main=paste("Efficiency for lor "))
# scan()
}
}

par(op)


scan()
op = par(mfrow=c(1,1))
lwd = 2 # line width/thickness in plots
xlim= c(0, 1.0)
ylim= c(1.0, 1.3)
p = 0.2

d_w = 2
d_t = 1
s = (dist_t==d_t & dist_w==d_w & pi==p)
plot (rho[s], ae_ort_lor[s] / ae_alr_lor[s],
    lty=1,
    lwd=lwd,
    type='l',
    xlim=xlim,
    ylim=ylim,
    xlab=expression(rho),
    ylab="Efficiency"
)
title(main=paste("Efficiency of ORTH (d=2) relative to ALR"))
for (d_t in 2:3)   {
  s = (dist_t==d_t & dist_w==d_w & pi==p)
  lines(rho[s], ae_ort_lor[s] / ae_alr_lor[s],  lty=d_t, lwd=lwd )
}

par(op)

